## dzl-path-element

dzl-path-element

## Functions

DzlPathElement * | dzl_path_element_new ()
const gchar * | dzl_path_element_get_title ()
const gchar * | dzl_path_element_get_id ()
const gchar * | dzl_path_element_get_icon_name ()

## Properties

char * | icon-name | Read / Write / Construct Only
char * | id | Read / Write / Construct Only
char * | title | Read / Write / Construct Only

## Types and Values

#define | DZL_TYPE_PATH_ELEMENT
| DzlPathElement

## Object Hierarchy

        GObject
        ╰── DzlPathElement

## Description

## Functions

### dzl_path_element_new ()

    DzlPathElement *
    dzl_path_element_new (const gchar *id,
                          const gchar *icon_name,
                          const gchar *title);

Creates a new path element for an DzlPath.

#### Parameters

id | An id for the path element. | [nullable]
icon_name | An optional icon name for the element. | [nullable]
title | The title of the element. |

#### Returns

A DzlPathElement.

[transfer full]

Since: 3.26

### dzl_path_element_get_title ()

    const gchar *
    dzl_path_element_get_title (DzlPathElement *self);

Gets the “title” property. This is used by the path bar to display text representing the element of the path.

#### Parameters

self | A DzlPathElement |

#### Returns

The title for the DzlPathElement.

[transfer none][nullable]

Since: 3.26

### dzl_path_element_get_id ()

    const gchar *
    dzl_path_element_get_id (DzlPathElement *self);

Gets the id for the element. Generally, a path is built of multiple elements and each element should have an id that is useful to the application that it using it. You might store the name of a directory, or some other key as the id.

#### Parameters

self | A DzlPathElement |

#### Returns

The id for the DzlPathElement.

[transfer none]

Since: 3.26

### dzl_path_element_get_icon_name ()

    const gchar *
    dzl_path_element_get_icon_name (DzlPathElement *self);

Gets the “icon-name” property. This is used by the path bar to display an icon next to the element of the path.

#### Parameters

self | A DzlPathElement |

#### Returns

The icon-name for the DzlPathElement.

[transfer none][nullable]

Since: 3.26

## Types and Values

### DZL_TYPE_PATH_ELEMENT

    #define DZL_TYPE_PATH_ELEMENT (dzl_path_element_get_type())

### DzlPathElement

    typedef struct _DzlPathElement DzlPathElement;

## Property Details

### The `“icon-name”` property

      “icon-name”                char *

The icon-name of the icon to display next to the path element in the path bar. Set to `NULL` for no icon.

Owner: DzlPathElement

Flags: Read / Write / Construct Only

Default value: NULL

Since: 3.26

### The `“id”` property

      “id”                       char *

The id property is an application specific identifier for the element within the path.

Owner: DzlPathElement

Flags: Read / Write / Construct Only

Default value: NULL

Since: 3.26

### The `“title”` property

      “title”                    char *

The title property should contain the display text that should be shown to represent the element in the DzlPathBar.

Owner: DzlPathElement

Flags: Read / Write / Construct Only

Default value: NULL

Since: 3.26